Loading...
Searching...
No Matches
Zycore.h File Reference
`#include <Zycore/Types.h>`
Include dependency graph for Zycore.h:

Go to the source code of this file.

## Macros

#define | ZYCORE_VERSION 0x0001000500020000ULL
#define | ZYCORE_VERSION_MAJOR(version)
#define | ZYCORE_VERSION_MINOR(version)
#define | ZYCORE_VERSION_PATCH(version)
#define | ZYCORE_VERSION_BUILD(version)

## Functions

ZYCORE_EXPORT ZyanU64 | ZycoreGetVersion (void)

## Detailed Description

Master include file, including everything else.

## Macro Definition Documentation

## ZYCORE_VERSION

#define ZYCORE_VERSION 0x0001000500020000ULL

A macro that defines the zycore version.

## ZYCORE_VERSION_BUILD

#define ZYCORE_VERSION_BUILD | ( |  | version | ) |

Value:
(version & 0x000000000000FFFF)

Extracts the build-part of the zycore version.

Parameters

  version | The zycore version value

## ZYCORE_VERSION_MAJOR

#define ZYCORE_VERSION_MAJOR | ( |  | version | ) |

Value:
((version & 0xFFFF000000000000) >> 48)

Extracts the major-part of the zycore version.

Parameters

  version | The zycore version value

## ZYCORE_VERSION_MINOR

#define ZYCORE_VERSION_MINOR | ( |  | version | ) |

Value:
((version & 0x0000FFFF00000000) >> 32)

Extracts the minor-part of the zycore version.

Parameters

  version | The zycore version value

## ZYCORE_VERSION_PATCH

#define ZYCORE_VERSION_PATCH | ( |  | version | ) |

Value:
((version & 0x00000000FFFF0000) >> 16)

Extracts the patch-part of the zycore version.

Parameters

  version | The zycore version value

## Function Documentation

## ZycoreGetVersion()

ZYCORE_EXPORT ZyanU64 ZycoreGetVersion | ( | void |  | ) |

Returns the zycore version.

Returns
  The zycore version.

Use the macros provided in this file to extract the major, minor, patch and build part from the returned version value.